[arch-commits] Commit in sane/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Tobias Powalowski tpowa at archlinux.org
Sat May 9 09:21:28 EDT 2009


    Date: Saturday, May 9, 2009 @ 09:21:28
  Author: tpowa
Revision: 38588

Merged revisions 356,38585 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/sane/trunk

........
  r356 | aaron | 2008-04-19 00:56:27 +0200 (Sa, 19 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r38585 | tpowa | 2009-05-09 15:20:30 +0200 (Sa, 09 Mai 2009) | 1 line
  
  upgpkg: sane 1.0.20-1
........

Modified:
  sane/repos/extra-x86_64/	(properties)
  sane/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   37 ++++++++++++-------------------------
 1 file changed, 12 insertions(+), 25 deletions(-)


Property changes on: sane/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /sane/trunk:1
   + /sane/trunk:1-38586

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-05-09 13:20:58 UTC (rev 38587)
+++ extra-x86_64/PKGBUILD	2009-05-09 13:21:28 UTC (rev 38588)
@@ -3,39 +3,30 @@
 # Contributed by Sarah Hay <sarahhay at mb.sympatico.ca>, Tobias Powalowski <t.powa at gmx.de>, Simo L. <neotuli at yahoo.com>, eric <eric at archlinux.org>
 
 pkgname=sane
-pkgver=1.0.19
-pkgrel=2
+pkgver=1.0.20
+pkgrel=1
 pkgdesc="Scanner Access Now Easy"
 arch=(i686 x86_64)
 license=('GPL')
-depends=('libtiff' 'libgphoto2' 'libjpeg' 'libieee1284' 'libusb' 'bash')
-source=(ftp://ftp.sane-project.org/pub/sane/$pkgname-backends-$pkgver/$pkgname-backends-$pkgver.tar.gz \
-	http://heanet.dl.sourceforge.net/sourceforge/hp44x0backend/sane_hp_rts88xx-0.18.tar.gz
-	patch-sane.sh.patch sane.xinetd)
+depends=('libtiff' 'libgphoto2' 'libjpeg' 'libieee1284' 'libusb' 'libv4l' 'avahi' 'bash')
+source=(ftp://ftp.sane-project.org/pub/sane/$pkgname-backends-$pkgver/$pkgname-backends-$pkgver.tar.gz
+        sane.xinetd)
 url="http://www.sane-project.org"
 install=$pkgname.install
-backup=(etc/sane.d/{abaton.conf,agfafocus.conf,apple.conf,artec.conf,artec_eplus48u.conf,avision.conf,bh.conf,canon.conf,canon630u.conf,canon_pp.conf,coolscan.conf,coolscan2.conf,dc210.conf,dc240.conf,dc25.conf,dell1600n_net.conf,dll.conf,dmc.conf,epson.conf,epson2.conf,fujitsu.conf,genesys.conf,gphoto2.conf,gt68xx.conf,hp.conf,hp4200.conf,hp5400.conf,hp_rts88xx.conf,hpsj5s.conf,ibm.conf,leo.conf,lexmark.conf,ma1509.conf,matsushita.conf,microtek.conf,microtek2.conf,mustek.conf,mustek_pp.conf,mustek_usb.conf,nec.conf,net.conf,pie.conf,plustek.conf,plustek_pp.conf,qcam.conf,ricoh.conf,s9036.conf,saned.conf,sceptre.conf,sharp.conf,sm3840.conf,snapscan.conf,sp15c.conf,st400.conf,stv680.conf,tamarack.conf,teco1.conf,teco2.conf,teco3.conf,test.conf,u12.conf,umax.conf,umax1220u.conf,umax_pp.conf,v4l.conf} etc/xinetd.d/sane)
-options=(!libtool !makeflags)
+backup=(etc/sane.d/{abaton.conf,agfafocus.conf,apple.conf,artec.conf,artec_eplus48u.conf,avision.conf,bh.conf,canon.conf,canon630u.conf,canon_dr.conf,canon_pp.conf,cardscan.conf,coolscan2.conf,coolscan3.conf,coolscan.conf,dc25.conf,dc210.conf,dc240.conf,dell1600n_net.conf,dll.conf,dmc.conf,epjitsu.conf,epson.conf,epson2.conf,fujitsu.conf,genesys.conf,gphoto2.conf,gt68xx.conf,hp.conf,hp3900.conf,hp4200.conf,hp5400.conf,hpsj5s.conf,hs2p.conf,ibm.conf,leo.conf,lexmark.conf,ma1509.conf,matsushita.conf,microtek.conf,microtek2.conf,mustek.conf,mustek_pp.conf,mustek_usb.conf,nec.conf,net.conf,pie.conf,pixma.conf,plustek.conf,plustek_pp.conf,qcam.conf,ricoh.conf,rts8891.conf,s9036.conf,saned.conf,sceptre.conf,sharp.conf,sm3840.conf,snapscan.conf,sp15c.conf,st400.conf,stv680.conf,tamarack.conf,teco1.conf,teco2.conf,teco3.conf,test.conf,u12.conf,umax.conf,umax1220u.conf,umax_pp.conf,xerox_mfp,v4l.conf} etc/xinetd.d/sane)
+options=(!libtool)
 
 build() {
-  # add hp44x backend
-  cd $startdir/src/sane_hp_rts88xx/sane_hp_rts88xx/
-  patch -Np0 -i $startdir/src/patch-sane.sh.patch || return 1
-  ./patch-sane.sh $startdir/src/$pkgname-backends-$pkgver || return 1
   cd $startdir/src/$pkgname-backends-$pkgver
-  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var
-  /usr/bin/make || return 1
-  /usr/bin/make DESTDIR=$startdir/pkg install
+  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --with-docdir=/usr/share/doc --enable-avahi
+  make || return 1
+  make DESTDIR=$startdir/pkg install
   # fix hp officejets
   echo "#hpaio" >> $startdir/pkg/etc/sane.d/dll.conf
-  # disable epson2 backend by default
-  sed -i -e  's/^epson2/#epson2/g' $startdir/pkg/etc/sane.d/dll.conf
   # install udev files
   cd $startdir/src
-  /bin/install -D -m0644 $startdir/src/$pkgname-backends-$pkgver/tools/udev/libsane.rules \
-			 $startdir/pkg/etc/udev/rules.d/53-sane.rules
-  # fix for new udev syntax >= udev 098
-  sed -i -e 's#SYSFS#ATTRS#g' $startdir/pkg/etc/udev/rules.d/53-sane.rules
+  install -D -m0644 $startdir/src/$pkgname-backends-$pkgver/tools/udev/libsane.rules \
+			 $startdir/pkg/lib/udev/rules.d/53-sane.rules
   # fix group on /var/lock
   mkdir -p $startdir/pkg/var/lock/sane
   chgrp 0 $startdir/pkg/var
@@ -47,7 +38,3 @@
   # install xinetd file
   install -D -m644 $startdir/src/sane.xinetd $startdir/pkg/etc/xinetd.d/sane
 }
-md5sums=('8c0936272dcfd4e98c51512699f1c06f'
-         '09d3eaf73f35b7795cd8418b8dc60f69'
-         '1555b998e43d43d8841ff3ad3cd9602e'
-         'da946cc36fb83612162cf9505986d4b2')



More information about the arch-commits mailing list